import { AlarmsBase, AlarmsCategoryOptions, AlarmsOptions } from "../../aws-monitoring";
import { Construct } from "constructs";
import { IBucket } from "aws-cdk-lib/aws-s3";
export interface BucketAlarmsCategoryOptions extends AlarmsCategoryOptions {
}
export interface BucketAlarmsOptions extends AlarmsOptions<BucketAlarmsCategoryOptions> {
    /**
     * Flag to create alarms.
     *
     * @default true
     */
    readonly createAlarms?: boolean;
}
export interface BucketAlarmProps extends BucketAlarmsOptions {
    readonly bucket: IBucket;
}
export declare class BucketAlarms extends AlarmsBase<BucketAlarmsCategoryOptions, BucketAlarmProps> {
    private addBucketMonitoring;
    constructor(scope: Construct, id: string, props: BucketAlarmProps);
}
